## trollsift 0.3.1

=== debian/changelog ===
trollsift (0.3.1-2) unstable; urgency=medium

  * Add missing attribution in debian/copyright (Closes: #917298).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 25 Dec 2018 19:11:07 +0000

trollsift (0.3.1-1) unstable; urgency=medium

  * Initial version (Closes: #916541)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Dec 2018 19:03:19 +0000

## trollsift 1.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pydecorate.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pydecorate.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pydecorate"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pydecorate"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## trollsift 0.3.2

=== debian/changelog ===
trollsift (0.3.2-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.

  [ Bas Couwenberg ]
  * Add license & copyright for versioneer.py.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Jan 2019 07:29:18 +0000

=== debian/control ===
Source: trollsift
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
Homepage: https://github.com/pytroll/trollsift

Package: python3-trollsift
Architecture: all
Depends: python3-six,
         ${python3:Depends},
         ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: String parser/formatter for PyTroll packages
 Trollsift is a collection of modules that assist with formatting,
 parsing and filtering satellite granule file names.
 These modules are useful and necessary for writing higher level
 applications and api’s for satellite batch processing.

## trollsift 0.3.4

=== debian/changelog ===
trollsift (0.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Dec 2019 08:11:07 +0000

trollsift (0.3.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Explicitly set Rules-Requires-Root: no.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 11 Oct 2019 05:59:20 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Section: python
 Priority: optional
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-six
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
 Homepage: https://github.com/pytroll/trollsift

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=trollsift

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	$(RM) -r *.egg-info

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|trollsift)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/trollsift-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/trollsift/releases \
(?:.*?/archive/)?(?:rel|v|trollsift)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trollsift 0.4.0

=== debian/changelog ===
trollsift (0.4.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Feb 2022 08:25:33 +0000

trollsift (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * Update watch file for GitHub URL changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 17:29:42 +0200

trollsift (0.3.5-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - add build-dependency on python3-pytest
  * debian/patches:
    - new 0001-Include-tests-sub-package.patch
  * Add autopkgtests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 18 Feb 2021 07:54:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-pytest,
                python3-setuptools,
                python3-six
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
 Homepage: https://github.com/pytroll/trollsift

## trollsift 0.5.0

=== debian/changelog ===
trollsift (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 23 Nov 2022 06:48:42 +0000

trollsift (0.4.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Add test-dependency on python3-all to d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 17:47:39 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-setuptools,
                python3-six
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
 Homepage: https://github.com/pytroll/trollsift

=== debian/tests/control ===
Tests: python3
Depends: @builddeps@, @, python3-all

## trollsift 0.5.1

=== debian/changelog ===
trollsift (0.5.1-2) unstable; urgency=medium

  * debian/control:
    - Drop dependency on python3-six (Closes: #1064868).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 26 Feb 2024 23:18:37 +0000

trollsift (0.5.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Use <!nocheck> marker.
    - Remove dependency from python3-six, no longer needed.
  * Switch to autopkgtest-pkg-pybuild and remove the
    no longer necessary d/tests folder.
  * debian/copyright:
    - Update copyright date.
    - Update versioneer license.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Oct 2023 07:02:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-pytest,
-               python3-setuptools,
-               python3-six
-Standards-Version: 4.6.1
+               python3-pytest <!nocheck>,
+               python3-setuptools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
 Homepage: https://github.com/pytroll/trollsift
 
 Package: python3-trollsift
 Architecture: all
-Depends: python3-six,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}

## trollsift 0.5.3

=== debian/changelog ===
trollsift (0.5.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependency on pybuild-plugin-pyproject.
    - Switch to hatchling: add edpendency on python3-hatchling
      and python3-hatch-vcs.
    - Do not use undefined substitution variables.
  * debian/patches:
    - Drop 0001-Include-tests-sub-package.patch,
      no longer needed.
  * debian/copyright:
    - Drop entry for versioneer, no longer needed.
  * Update d/clean.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Dec 2024 23:20:03 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-pytest <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.6.2
+               python3-hatchling,
+               python3-hatch-vcs,
+               python3-pytest <!nocheck>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
 Homepage: https://github.com/pytroll/trollsift
@@ -20,8 +22,6 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: String parser/formatter for PyTroll packages
  Trollsift is a collection of modules that assist with formatting,
  parsing and filtering satellite granule file names.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=trollsift
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

## trollsift 0.6.0

=== debian/changelog ===
trollsift (0.6.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 22:02:25 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-hatchling,
                python3-hatch-vcs,
                python3-pytest <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollsift
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollsift.git
 Homepage: https://github.com/pytroll/trollsift

## trollsift 1.0.0

=== debian/changelog ===
trollsift (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update license file. License changed to Apache-2.0.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Oct 2025 08:12:08 +0000

trollsift (0.6.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control:
    - Mark python3-trollsift as Multi-Arch: foreign.
    - Drop "Rules-Requires-Root: no", no longer needed.

  [ Bas Couwenberg ]
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 01 Oct 2025 06:10:37 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Section: python
 Priority: optional
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
@@ -20,6 +19,7 @@
 
 Package: python3-trollsift
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends},
          ${misc:Depends}
 Description: String parser/formatter for PyTroll packages

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|trollsift)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/trollsift-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/trollsift/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|trollsift)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
